<%-- Copyright 2000 SAS Institute Inc, Atlanta, GA, 30326 --%>
<%@page import="java.io.*, java.util.*" %>
<%@page import="com.sas.hrv.*" %>
<%@ include file="../Jsp/forwardURL.jsp" %>

<%
	HrvInfo	hrvi = HrvInfo.getInstance(application,request,response,out);
	String url = null;
	String user = request.getParameter("uid");
	if (user == null)
		user = "";
	try{
		VisMsg vM = VisMsg.getInstance(session);
		if (!(hrvi.isLoggedIn(session))) {
			// not logged in.
			url = vM.getLink("LoginHome");
			if (url == null) 
				throw new Throwable();
			if (url.equals("LoginHome")) 
				throw new Throwable();
		}

		String uidOn = (String) hrvi.getConfigValue("allowuidparm");
		if (uidOn == null)
			uidOn = "";
		if (url == null && (uidOn.equalsIgnoreCase("yes") ||uidOn.equalsIgnoreCase("y"))) {
			// this session is logged in and the uid was passed (i.e. single sign on being used).
			if (!user.equals("") && !user.equals(hrvi.getUser(session))) {
				// the user accessing this is not the one who is logged in so log them off.
				hrvi.logOff(session);
				// and make them log in.
				url = vM.getLink("LoginHome");
			}
		}
	}
	catch (Throwable e) { 
		url = "../Jsp/error.jsp"; 
	}
	if (url != null) {
		if (user != null && !user.equals(""))
			user = "?uid=" + user + "&";
		else
			user = "?";
			
		String whouse = request.getParameter("WHOUSE");
		if (whouse != null && !whouse.equals(""))
			whouse = "WHOUSE=" + whouse + "&";
		else
			whouse = "";
			
		String temp = request.getQueryString();
		if (temp ==  null)
			temp = "";
		else
			temp = "?" + temp;
		url = url + user + whouse + "RETURNURL=" + request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort() + request.getRequestURI() + temp + "&HRVRETURNURLTERM="; 
            forwardURL(url,out,request,response);
		return;
	}
 %>
