<%@page import="java.io.*,java.util.*" %>
<%@page import="com.sas.hrv.*" %>

<%
/*********************************************************************/
// Copyright (c) 2000 by SAS Institute Inc., Cary, NC 27513
/*********************************************************************/
//
// NAME:     whoIsLoggedIn.jsp
// AUTHOR:   sasjs1 - Jeff Schrilla
// SUPPORT:  sasjs1 - Jeff Schrilla
// PRODUCT:  hrvision
// TYPE:     jsp page
// LANGUAGE: java
// PURPOSE:  jsp to show the admin who is logged in.
//
// HISTORY:   Date    Who  Action
//           -------------------------------------------------------
//           29jan01  js1  initial coding
/*********************************************************************/
%>
<%@ include file="HRVLoginInclude.jsp"%>

<HTML>
<HEAD>
<%@ include file="HRVHeadInclude.jsp"%>

<script language="javascript">
<!--
	function opOnAll (action, obj) {
		if (obj != null) {
			if (action == 'select') {
				if (obj.length >= 0) {
					for (i=0; i<obj.length; i++){
						obj[i].checked = true;
					}
				}
				else {
					obj.checked = true;
				}
			}
			else {
				if (obj.length >= 0) {
					for (i=0; i<obj.length; i++){
						obj[i].checked = false;
					}
				}
				else {
					obj.checked = false;
				}
			}
		}
	}
//-->
</script>

</HEAD>
<BODY class="bodyContents">
<TABLE>
<TH></TH>
<TH>User</TH>
<TH>&nbsp;&nbsp;</TH>
<TH>Warehouse</TH>
<TH>&nbsp;&nbsp;</TH>
<TH>First Logged In</TH>
<TH>&nbsp;&nbsp;</TH>
<TH>Last Accessed</TH>
<TH>&nbsp;&nbsp;</TH>
<TH>Client Host Name</TH>
<TH>&nbsp;&nbsp;</TH>
<TH>IP Address</TH>
<FORM name='forceOffForm' method='post'>

<%
	try {
		// see if anyone needs to be logged off.
		String task = (String) request.getParameter("task");
		if (task != null && task.equals("logoffadmin")) {
			hrvi.logOff(session);
%>

<SCRIPT LANGUAGE='JavaScript'>
	document.location.href='../Jsp/exitHRV.jsp';
</SCRIPT>

<%
			return;
		}
		
		if (task != null && task.equals("logoff")) {
			// note which user to log off.
			String [] logOffUser = request.getParameterValues("user");
			if (logOffUser != null)
				for (int i=0; i<logOffUser.length; i++) {
					try {
						hrvi.logOff(logOffUser[i]);
					}
					catch (Exception e) {
					}
				}
		}
		String wiliUser, warehouse, whDesc, ip, host, onClick;
		Date lastAccess, loginTime;
		HttpSession userSession;
		WarehouseBean wh = new WarehouseBean(session);
		Hashtable nL = hrvi.getAdminUserList(session);
		Hashtable ht;
		Collection enum = nL.values();
		for (Iterator ti = enum.iterator(); ti.hasNext();) {
			userSession = (HttpSession) ti.next();
			try {
				wiliUser = hrvi.getUser(userSession);
			}
			catch (IllegalStateException ee) {
				// added this for the Europeans.
				out.println("<BR>Illegal state for some user!");
				continue;
			}
			// log this user off if necessary.
			ht = new Hashtable();
			ht = (Hashtable) userSession.getAttribute(hrvi.infolistId);
			warehouse = hrvi.getWarehouse(userSession);
			wh.setMetaKey(warehouse);
			whDesc = wh.getAttributeValue("desc");
			lastAccess = new Date(userSession.getLastAccessedTime());
			ip = (String) ht.get("IP");
			host = (String) ht.get("HOST");
			loginTime = (Date) ht.get("LOGINTIME");
			if (userSession == session) {
				// can't log admin off so don't give them a chance.
				out.println("<TR><TD></TD>");
			}
			else
				out.println("<TR><TD><INPUT TYPE='checkbox' NAME='user' VALUE='" + wiliUser + "' id='" + wiliUser + "'> </TD>");
			onClick = "newWin=open('../Jsp/newWindow.jsp?../Jsp/userlist.jsp?USER=" + wiliUser + "&COMMAND=DISPLAY', 'UserAdminWindow', '');";
			out.println("<TD><a href=# onClick=\"" + onClick + "\">" + wiliUser + "</a></TD>");
			out.println("<TD>&nbsp;&nbsp;</TD><TD>" + whDesc + "</TD>");
			out.println("<TD>&nbsp;&nbsp;</TD><TD>" + hrvi.convertDate(session, Long.toString(loginTime.getTime())) + "</TD>");
			out.println("<TD>&nbsp;&nbsp;</TD><TD>" + hrvi.convertDate(session, Long.toString(lastAccess.getTime())) + "</TD>");
			out.println("<TD>&nbsp;&nbsp;</TD><TD>" + host + "</TD>");
			out.println("<TD>&nbsp;&nbsp;</TD><TD>" + ip + "</TD></TR>");
		}
	}
	catch (Exception e) {
		out.println("<TR><TD colspan=11><B>" + e + "</B></TD></TR>");
		e.printStackTrace();
	}
%>

<INPUT TYPE="HIDDEN" NAME="task" VALUE="">

<TR><TD>&nbsp;</TD></TR>
<TR><TD colspan=2>
	<INPUT ID="wilobtn1" TYPE="button" CLASS="button" VALUE="Select all" OnClick="opOnAll('select',document.forceOffForm.user);">
</TD>
<TD></TD>
<TD colspan=2>
	<INPUT ID="wilobtn2" TYPE="button" CLASS="button" VALUE="Unselect all" OnClick="opOnAll('deselect',document.forceOffForm.user);">
</TD>
<TD></TD>
<TD></TD>
<TD colspan=3>
	<INPUT ID="wilobtn3" TYPE="button" CLASS="button" VALUE="Log off selected users" OnClick="document.forceOffForm.task.value='logoff'; document.forceOffForm.submit();">
<TD></TD>
<TD>
	<INPUT ID="wilobtn4" TYPE="button" CLASS="button" VALUE="Log Off" OnClick="document.forceOffForm.task.value='logoffadmin'; document.forceOffForm.submit();">
</TD></TR>
<TR><TD colspan=7></TD>
<TD colspan=5>
	<INPUT ID="wilobtn5" TYPE="button" CLASS="button" VALUE="Refresh" OnClick="document.forceOffForm.task.value=''; document.forceOffForm.submit();">
</TD></TR>
 </FORM>
</TABLE>
</BODY>
</HTML>
